net.sourceforge.pmd.lang.ast.xpath

## Class DocumentNavigator

- java.lang.Object
- - org.jaxen.DefaultNavigator
  - - net.sourceforge.pmd.lang.ast.xpath.DocumentNavigator

All Implemented Interfaces:
  Serializable, org.jaxen.Navigator

    public class DocumentNavigator
    extends org.jaxen.DefaultNavigator

Author:
  daniels
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DocumentNavigator()`

### Method Summary

Methods
`Iterator<Attribute>` `getAttributeAxisIterator(Object arg0)`
`String` `getAttributeName(Object arg0)`
`String` `getAttributeNamespaceUri(Object arg0)`
`String` `getAttributeQName(Object arg0)`
`String` `getAttributeStringValue(Object arg0)`
`Iterator<Node>` `getChildAxisIterator(Object contextNode)` Get an iterator over all of this node's children.
`String` `getCommentStringValue(Object arg0)`
`Object` `getDocumentNode(Object contextNode)`
`String` `getElementName(Object node)`
`String` `getElementNamespaceUri(Object arg0)`
`String` `getElementQName(Object arg0)`
`String` `getElementStringValue(Object arg0)`
`Iterator<Node>` `getFollowingAxisIterator(Object contextNode)` Get an iterator over all following nodes, depth-first.
`Iterator<Node>` `getFollowingSiblingAxisIterator(Object contextNode)` Get an iterator over all following siblings.
`String` `getNamespacePrefix(Object arg0)`
`String` `getNamespaceStringValue(Object arg0)`
`Iterator<Node>` `getParentAxisIterator(Object contextNode)` Get a (single-member) iterator over this node's parent.
`Object` `getParentNode(Object arg0)`
`Iterator<Node>` `getPrecedingAxisIterator(Object contextNode)` Get an iterator over all preceding nodes, depth-first.
`Iterator<Node>` `getPrecedingSiblingAxisIterator(Object contextNode)` Get an iterator over all preceding siblings.
`String` `getTextStringValue(Object arg0)`
`boolean` `isAttribute(Object arg0)`
`boolean` `isComment(Object arg0)`
`boolean` `isDocument(Object arg0)`
`boolean` `isElement(Object arg0)`
`boolean` `isNamespace(Object arg0)`
`boolean` `isProcessingInstruction(Object arg0)`
`boolean` `isText(Object arg0)`
`org.jaxen.XPath` `parseXPath(String arg0)`

### Methods inherited from class org.jaxen.DefaultNavigator

`getAncestorAxisIterator, getAncestorOrSelfAxisIterator, getDescendantAxisIterator, getDescendantOrSelfAxisIterator, getDocument, getElementById, getNamespaceAxisIterator, getNodeType, getProcessingInstructionData, getProcessingInstructionTarget, getSelfAxisIterator, translateNamespacePrefixToUri`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DocumentNavigator

    public DocumentNavigator()

### Method Detail

#### getAttributeName

    public String getAttributeName(Object arg0)

#### getAttributeNamespaceUri

    public String getAttributeNamespaceUri(Object arg0)

#### getAttributeQName

    public String getAttributeQName(Object arg0)

#### getAttributeStringValue

    public String getAttributeStringValue(Object arg0)

#### getCommentStringValue

    public String getCommentStringValue(Object arg0)

#### getElementName

    public String getElementName(Object node)

#### getElementNamespaceUri

    public String getElementNamespaceUri(Object arg0)

#### getElementQName

    public String getElementQName(Object arg0)

#### getElementStringValue

    public String getElementStringValue(Object arg0)

#### getNamespacePrefix

    public String getNamespacePrefix(Object arg0)

#### getNamespaceStringValue

    public String getNamespaceStringValue(Object arg0)

#### getTextStringValue

    public String getTextStringValue(Object arg0)

#### isAttribute

    public boolean isAttribute(Object arg0)

#### isComment

    public boolean isComment(Object arg0)

#### isDocument

    public boolean isDocument(Object arg0)

#### isElement

    public boolean isElement(Object arg0)

#### isNamespace

    public boolean isNamespace(Object arg0)

#### isProcessingInstruction

    public boolean isProcessingInstruction(Object arg0)

#### isText

    public boolean isText(Object arg0)

#### parseXPath

    public org.jaxen.XPath parseXPath(String arg0)

#### getParentNode

    public Object getParentNode(Object arg0)

Specified by:
  `getParentNode` in interface `org.jaxen.Navigator`
Overrides:
  `getParentNode` in class `org.jaxen.DefaultNavigator`

#### getAttributeAxisIterator

    public Iterator<Attribute> getAttributeAxisIterator(Object arg0)

Specified by:
  `getAttributeAxisIterator` in interface `org.jaxen.Navigator`
Overrides:
  `getAttributeAxisIterator` in class `org.jaxen.DefaultNavigator`

#### getChildAxisIterator

    public Iterator<Node> getChildAxisIterator(Object contextNode)

Get an iterator over all of this node's children.

Specified by:
  `getChildAxisIterator` in interface `org.jaxen.Navigator`
Overrides:
  `getChildAxisIterator` in class `org.jaxen.DefaultNavigator`
Parameters:
  `contextNode` - The context node for the child axis.
Returns:
  A possibly-empty iterator (not null).

#### getParentAxisIterator

    public Iterator<Node> getParentAxisIterator(Object contextNode)

Get a (single-member) iterator over this node's parent.

Specified by:
  `getParentAxisIterator` in interface `org.jaxen.Navigator`
Overrides:
  `getParentAxisIterator` in class `org.jaxen.DefaultNavigator`
Parameters:
  `contextNode` - the context node for the parent axis.
Returns:
  A possibly-empty iterator (not null).

#### getFollowingSiblingAxisIterator

    public Iterator<Node> getFollowingSiblingAxisIterator(Object contextNode)

Get an iterator over all following siblings.

Specified by:
  `getFollowingSiblingAxisIterator` in interface `org.jaxen.Navigator`
Overrides:
  `getFollowingSiblingAxisIterator` in class `org.jaxen.DefaultNavigator`
Parameters:
  `contextNode` - the context node for the sibling iterator.
Returns:
  A possibly-empty iterator (not null).

#### getPrecedingSiblingAxisIterator

    public Iterator<Node> getPrecedingSiblingAxisIterator(Object contextNode)

Get an iterator over all preceding siblings.

Specified by:
  `getPrecedingSiblingAxisIterator` in interface `org.jaxen.Navigator`
Overrides:
  `getPrecedingSiblingAxisIterator` in class `org.jaxen.DefaultNavigator`
Parameters:
  `contextNode` - The context node for the preceding sibling axis.
Returns:
  A possibly-empty iterator (not null).

#### getFollowingAxisIterator

    public Iterator<Node> getFollowingAxisIterator(Object contextNode)

Get an iterator over all following nodes, depth-first.

Specified by:
  `getFollowingAxisIterator` in interface `org.jaxen.Navigator`
Overrides:
  `getFollowingAxisIterator` in class `org.jaxen.DefaultNavigator`
Parameters:
  `contextNode` - The context node for the following axis.
Returns:
  A possibly-empty iterator (not null).

#### getPrecedingAxisIterator

    public Iterator<Node> getPrecedingAxisIterator(Object contextNode)

Get an iterator over all preceding nodes, depth-first.

Specified by:
  `getPrecedingAxisIterator` in interface `org.jaxen.Navigator`
Overrides:
  `getPrecedingAxisIterator` in class `org.jaxen.DefaultNavigator`
Parameters:
  `contextNode` - The context node for the preceding axis.
Returns:
  A possibly-empty iterator (not null).

#### getDocumentNode

    public Object getDocumentNode(Object contextNode)

Specified by:
  `getDocumentNode` in interface `org.jaxen.Navigator`
Overrides:
  `getDocumentNode` in class `org.jaxen.DefaultNavigator`